Create Dashboard

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securable
API call form
Examples
List of examples
  • Create empty dashboard with default theme
  • Create dashboard with a text widget inside
Description

Create an empty dashboard in three screen modes, a default theme, and a fixed UTC timezone. See dashboard playground documentation for more information about the different properties and values.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "subtype": "api",
  "rows": 0,
  "featured": false,
  "modified_at": "2024-03-28T09:24:17.444Z",
  "cache": 0,
  "storage": "clickhouse",
  "uses_clickhouse_experimental": false,
  "meta_sync_interval": 1,
  "meta_sync_inherit": true,
  "meta_sync_enabled": true,
  "name": {
    "en": "Test dashboard"
  },
  "description": {
    "en": "This is a test dashboard"
  },
  "custom_metadata": {
    "owner": "analytics",
    "nested": {
      "level": "L1"
    }
  },
  "type": "dashboard",
  "id": "aafca78a-0f21-41ae-862e-7e46a511c800",
  "updated_at": "2024-03-28T09:24:17.570Z",
  "created_at": "2024-03-28T09:24:17.450Z",
  "subtitle": null,
  "contents": {
    "version": "0.1.99",
    "syncScreenModes": true,
    "datasetLinks": {},
    "views": [
      {
        "screenModus": "desktop",
        "options": {
          "share": {
            "poweredBy": false
          },
          "theme": {
            "id": "default"
          },
          "alertingEnabled": true
        },
        "filterGroups": [],
        "items": []
      },
      {
        "screenModus": "tablet",
        "options": {
          "share": {
            "poweredBy": false
          },
          "theme": {
            "id": "default"
          },
          "alertingEnabled": true
        },
        "filterGroups": [],
        "items": []
      },
      {
        "screenModus": "mobile",
        "options": {
          "share": {
            "poweredBy": false
          },
          "theme": {
            "id": "default"
          },
          "alertingEnabled": true
        },
        "filterGroups": [],
        "items": []
      }
    ],
    "parameters": [],
    "timezone": {
      "type": "fixed",
      "id": "UTC"
    }
  },
  "css": null,
  "source_dataset": null,
  "source_sheet": null,
  "source_query": null,
  "transformation": null,
  "is_variant": false,
  "migrated_rows": null,
  "last_metadata_sync_at": null,
  "last_metadata_sync_attempt_at": "2024-03-28T09:24:17.488Z",
  "acceleration_id": null,
  "account_id": null,
  "template_id": null,
  "original_id": null,
  "modifier_id": "34b22f36-4904-497f-8acf-b0ba1d7e83cb",
  "owner_id": "34b22f36-4904-497f-8acf-b0ba1d7e83cb",
  "source_template_id": null
}